<!-- [QPRTemplateStart: lightweightportal.tpl] -->
<!DOCTYPE html>
<html>
  <head>
    <title><#LocalizedText id="QPR Lightweight Portal"></title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
    
    <script type="text/javascript" src="<#ScriptFileLocation>utils.js"></script>
    <#Include template="jswsfutils.tpl">
	<script type="text/javascript" src="<#CommonScriptFileLocation>jquery.js"></script>
	<script type="text/javascript" src="<#ScriptFileLocation>jquery.tools.min.js"></script>
	<script type="text/javascript" src="<#ScriptFileLocation>jquery-ui.custom.min.js"></script>
	<script type="text/javascript" src="<#ScriptFileLocation>jquery.cookie.js"></script>
	<script type="text/javascript" src="<#ScriptFileLocation>jquery.dynatree.min.js"></script>
	<script type="text/javascript" src="<#ScriptFileLocation>hoverIntent.js"></script>
	<script type="text/javascript" src="<#ScriptFileLocation>superfish.min.js"></script>

	<link rel="stylesheet" type="text/css" href="<#CSSFileLocation>ui.dynatree.css">
	<link rel="stylesheet" type="text/css" href="<#CSSFileLocation>superfish.css">
    <link rel="stylesheet" type="text/css" href="<#CSSFileLocation>lightweightportal.css">

<script type="text/javascript">

  <#Include template="lightweightportalconfiguration.tpl">
  
  var oAccessor;
  var activeMenu = "main";
  var diagramId;
  var diagramHierarchyReady = false;
  var powerpointExportVisible = false;
  
  function initializeWindow() {
    $("#powerpointexportplaceholder").hide();
	$("#searchbutton").click(searchClicked);
	$("#searchbox").keypress(searchEnterPress);
	$("#fullscreenbutton").click(openFullscreenView);
	$("#printbutton").click(printFlowchart);
	$("#powerpointexportbutton").click(togglePowerPointExportIframe);
	$("#diagramchart").height(DIAGRAM_HEIGHT);
	setActiveMenu();
	$("#mainoverlay,#processesoverlay").overlay({ top: 110 });
	$('#toolsdropdownmenu').superfish({
      speed: 100
	});
	$('#toolsdropdownmenu ul').hide();
    oAccessor = WSFUtils();
	oAccessor.LoadProxy(initializeWindow_step1, handleError);
  }
  
  function initializeWindow_step1() {
  	oAccessor.AutoAuthenticate(initializeWindow_step2, handleError);
  }

  function initializeWindow_step2() {
	oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[UM].currentuser.groups", "", "name", "name", "", getUserGroups, handleError);
 }

  function buildDiagramHierarchy(result) {
    $("#diagramhierarchy").empty();
	$("#diagramhierarchy").dynatree({
	  minExpandLevel: 2,
	  activeVisible: true,
	  onActivate: openDiagram
    });
	
	var tree = $("#diagramhierarchy").dynatree("getTree");
    var addedElementsCount;
	do {
	  addedElementsCount = 0;
	  for (var i = 0; result != null && result.ChildElements != null && i < result.ChildElements.length; i++) {
	    var elementId = result.ChildElements[i].Id;
		if (elementId.split(".").length == 4) { //instance id
		elementId = elementId.substring(0, elementId.lastIndexOf("."));
		}
		if (tree.getNodeByKey(elementId) == null) {
		  var elementName = result.ChildElements[i].ChildElements[0].Value;
		  var symbol = result.ChildElements[i].ChildElements[1].Value;
		  var parentObject = result.ChildElements[i].ChildElements[2].Value;
	      if (parentObject == BIZARCHITECTURE_MODEL) {
		    tree.getRoot().addChild({title: elementName, key: elementId, icon: false, activate: true, elementSymbol: symbol, diagramName: elementName});
			addedElementsCount++;
	      } else if (tree.getNodeByKey(parentObject) != null) {
		    tree.getNodeByKey(parentObject).addChild({title: elementName, key: elementId, icon: false, elementSymbol: symbol, diagramName: elementName});
		    addedElementsCount++;
		  }
	    }
	  }
	} while (addedElementsCount > 0);
	tree.getRoot().sortChildren(sortTreeItems, true);
	diagramHierarchyReady = true;
	openDiagram();
	$(".headerlevel0,.headerlevel2,.headerlevel3").click(openDiagramFromNavigation);
    $(".menuitem").click(menuItemClicked);
  }
  
  function getUserGroups(result) {
    var mainPageMeasures = new Array();
	mainPageMeasures = mainPageMeasures.concat(MAINPAGE_MEASURES["*"]);
    for (var i = 0; result.ChildElements != null && i < result.ChildElements.length; i++) {
	  var group = result.ChildElements[i].ChildElements[0].Value;
	  if (MAINPAGE_MEASURES[group] != null) {
	    mainPageMeasures = mainPageMeasures.concat(MAINPAGE_MEASURES[group]);
	  }
	}
	mainPageMeasures = removeArrayDuplicates(mainPageMeasures);
	for (var i = 0; i < mainPageMeasures.length; i++) {
	  $("#mainpagemeasures").append("<table class=\"" + mainPageMeasures[i].replace(".", "").replace(".", "") + " measurethumbnail\" onclick=\"onMeasureThumbnailClicked(event);\" measureid=\"" + mainPageMeasures[i] + "\"><colgroup><col span=\"1\" style=\"width:75px;\"><col span=\"1\" style=\"width:40px;\"><col span=\"1\" style=\"width:55px;\"><col span=\"1\" style=\"width:55px;\"></colgroup></table>");
	  oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + mainPageMeasures[i] + "]", "", "", MEASURE_ATTRIBUTES, "", drawMeasureThumbnail, handleError);
	}
	oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + BIZARCHITECTURE_MODEL + "].HierarchyRoots(hierarchy=\"processlevels\").Related(hierarchy=\"processlevels\", keeporiginals=\"true\", recursive=\"true\")", "", "name", "name,symbol,parentobjects", "", buildDiagramHierarchy, handleError);
  }  
  
  function onMeasureThumbnailClicked(event) {
	var selector = "#" + activeMenu + "overlay";
	if (!$(selector).overlay().isOpened()) {
	  loadOverlayImage(event);
	}
	$(selector).overlay().close();
  }
  
  function loadOverlayImage(event) {
    var selector = "#" + activeMenu + "overlay";
    var placeholder = $(selector);
	placeholder.find("img").remove();
	var elementId = $(event.srcElement).closest("table").attr("measureid");
    placeholder.append("<img onload=\"$('" + selector + "').overlay().load();\" src=\"" + sGetWSFLocation() + "/MainService.svc/webHttp/GetGraphAsStream?sessionId=" + oAccessor.sSessionId + "&objectId=" + elementId + "&options=GRAPHTYPE=GRAPH\" />");
  }

  var diagramSymbol;
  var myVar;
  
  function openDiagramFromNavigation(source) {
    var elementText = $(source.srcElement).text();
	diagramSymbol = PROCESS_SYMBOLS[elementText];
	if (diagramHierarchyReady) {
	  openDiagramFromNavigation_step1();
	} else {
	  myVar = setInterval(function() {myTimer();}, 100);
	}
  }

  function openDiagramFromNavigation_step1() {
	activateNodeBySymbol(diagramSymbol);
	$("#diagramchart").css("visibility", "hidden");
	activeMenu = "processes";
    setActiveMenu();
  }

  function myTimer() {
    if (diagramHierarchyReady) {
	  clearInterval(myVar);
	  openDiagramFromNavigation_step1();
	}
  }

  function openDiagram() {
    var node = $("#diagramhierarchy").dynatree("getActiveNode");
	var name = node.data.diagramName;
    $("#diagramname").text(name);
	diagramId = node.data.key;
	oAccessor.oClient.GetPortalUrl(oAccessor.sSessionId, diagramId, "ProcessMaps", "DetailsPaneMode=minimized,HidePortalFrameset=true,GraphSettings_zoom=fs", openDiagramInIframe, handleError);

	var attributes = new Array();
    for (var i = 0; i < PROCESS_INFORMATION.length; i++) {
	  if (!PROCESS_INFORMATION[i].exclude) {
	    attributes.push(PROCESS_INFORMATION[i].attribute);
	  }
	}
	attributes.push(PROCESS_MEASURES_ATTRIBUTE);
	
	$("#propertiestable").empty();
	$("#processmeasures").empty();
	for (var i = 0; i < PROCESS_INFORMATION.length; i++) {
	  $("#propertiestable").append("<tr id='"+ PROCESS_INFORMATION[i].attribute + "' style='vertical-align:top;height:18px;'><td style='color:#919191;height:18px;'>" + PROCESS_INFORMATION[i].label + "</td></tr>");
	}
	oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + diagramId + "]", "", "", attributes.join(","), "", getProcessInformation, handleError);
	oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + diagramId + "].subobjects", "typename=\"Organization Item\"", "name", "name", "", getOrganizationItems, handleError);
	oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + diagramId + "].subobjects", "typename=\"Information Item\"", "name", "name,infoitem.location", "", getInformationItems, handleError);
  }

  function openDiagramInIframe(url) {
	setTimeout(function(){$("#diagramchart").css("visibility", "visible");}, 200);
	url = sSetParameter("SES", "<#SessionId>", url);
    $("#diagramchart").prop("src", url);
  }
  
  function getProcessInformation(result) {
	for (var i = 0; i < PROCESS_INFORMATION.length; i++) {
	  if (result.ChildElements.length > 0 && result.ChildElements[0].ChildElements != null) {
		for (var j = 0; j < result.ChildElements[0].ChildElements.length; j++) {
		  if (result.ChildElements[0].ChildElements[j].Name == PROCESS_INFORMATION[i].attribute) {
		    if ($("#propertiestable tr#" + PROCESS_INFORMATION[i].attribute).children().length == 1) {
		      $("#propertiestable tr#" + PROCESS_INFORMATION[i].attribute).append("<td>" + result.ChildElements[0].ChildElements[j].Value.replace(/\n/g, "<br />") + "</td>");
			}
			break;
		  }
		}
	  }
	}
	
	var processMeasuresString = "";
	for (var i = 0; i < result.ChildElements[0].ChildElements.length; i++) {
	  if (result.ChildElements[0].ChildElements[i].Name == PROCESS_MEASURES_ATTRIBUTE) {
	    processMeasuresString = result.ChildElements[0].ChildElements[i].Value;
		break;
	  }
	}

    var processMeasures = processMeasuresString.split(",");
	processMeasures = removeArrayDuplicates(processMeasures);
	
	var indexOfEmpty = processMeasures.indexOf("");
    if (indexOfEmpty > -1) {
      processMeasures.splice(indexOfEmpty, 1);
    }
    
	if (processMeasures.length > 0) $("#processmeasuresheader").show(); else $("#processmeasuresheader").hide();
	
	for (var i = 0; i < processMeasures.length; i++) {
	  $("#processmeasures").append("<table class=\"" + processMeasures[i].replace(".", "").replace(".", "") + " measurethumbnail\" onclick=\"onMeasureThumbnailClicked(event);\" measureid=\"" + processMeasures[i] + "\"><colgroup><col span=\"1\" style=\"width:75px;\"><col span=\"1\" style=\"width:40px;\"><col span=\"1\" style=\"width:55px;\"><col span=\"1\" style=\"width:55px;\"></colgroup></table>");
	  oAccessor.oClient.QueryObjects(oAccessor.sSessionId, "[" + processMeasures[i] + "]", "", "", MEASURE_ATTRIBUTES, "", drawMeasureThumbnail, handleError);
	}
  }
  
  function drawMeasureThumbnail(result) {
    for (var i = 0; result.ChildElements != null && i < result.ChildElements.length; i++) {
	  var measureData = new Object();
	  measureData["id"] = result.ChildElements[i].Id;
	  for (var j = 0; result.ChildElements[i].ChildElements != null && j < result.ChildElements[i].ChildElements.length; j++) {
	    measureData[result.ChildElements[i].ChildElements[j].Name] = result.ChildElements[i].ChildElements[j].Value;
	  }
	  $("." + measureData["id"].replace(".", "").replace(".", "")).append(getMeasureThumbnailHtml(measureData));
	}
  }
  
  function getOrganizationItems(result) {
    var orgs = new Array();
    if (result.ChildElements != null && result.ChildElements.length > 0) {
	  for (var i = 0; i < result.ChildElements.length; i++) {
	  	if (result.ChildElements[i].ChildElements.length > 0) {
	      orgs.push(result.ChildElements[i].ChildElements[0].Value);
		}
	  }
	}
	if ($("#propertiestable tr#roles").children().length == 1)
	  $("#propertiestable tr#roles").append("<td>" + orgs.join(", ") + "</td>");
  }

  function getInformationItems(result) {
    var info = new Array();
    if (result.ChildElements != null && result.ChildElements.length > 0) {
	  for (var i = 0; i < result.ChildElements.length; i++) {
	    if (result.ChildElements[i].ChildElements.length > 1) {
	      info.push("<div class=\"informationitemlink\">&ndash; " + result.ChildElements[i].ChildElements[0].Value + " (<a target=\"_blank\" href=\"" + result.ChildElements[i].ChildElements[1].Value + "\">" + result.ChildElements[i].ChildElements[1].Value + "</a>)</div>");
		}
	  }
	}
	if ($("#propertiestable tr#infoitems").children().length == 1)
	  $("#propertiestable tr#infoitems").append("<td>" + info.join("") + "</td>");
  }
  
  function getMeasureThumbnailHtml(measureData) {
	var monthValueColor = RANGE_COLORS[getObjectValue(measureData, "monthrange")];
	if (monthValueColor == null) monthValueColor = "black";
	var yearValueColor = RANGE_COLORS[getObjectValue(measureData, "yearrange")];
	if (yearValueColor == null) yearValueColor = "black";
    var trendImage = getObjectValue(measureData, "trend") > -1 ? "trend_up.png" : "trend_down.png";
	var showTrendImage = getObjectValue(measureData, "trend") > -2 ? "inline" : "none";
	
    return "<tbody><tr><td style=\"padding-bottom:5px;font-size:15px\" colspan=\"3\">" + "<image style=\"margin:0px 8px -5px 0px;display:" + showTrendImage + ";\" src=\"<#PortalImageFileLocation>" + trendImage + "\" />" + measureData["name"] + "</td>" +
	  "<td style=\"font-size:13px;padding-bottom:5px;\">" + getObjectValue(measureData, "period") + "</td></tr>" +
	  "<tr><td rowspan=\"2\" style=\"width:80px;text-align:right;font-size:23px;padding-right:5px;color:" + monthValueColor + ";\">" + getObjectValue(measureData, "month") +
	  "</td><td style=\"font-size:15px;padding-bottom:3px;color:#a4a9ac;\" rowspan=\"2\">/Month</td><td style=\"font-size:11px;color:#a4a9ac;\">Target</td><td style=\"font-size:11px;color:#a4a9ac;\">Previous</td></tr>" + 
	  "<tr style=\"height:10px;\"><td style=\"font-size:13px;\">" + getObjectValue(measureData, "monthtarget") + "</td><td style=\"font-size:13px;\">" + getObjectValue(measureData, "previousmonth") + "</td></tr>" + 
	  "<tr><td rowspan=\"2\" style=\"text-align:right;font-size:23px;padding-right:5px;color:" + yearValueColor + ";\">" + getObjectValue(measureData, "year") +
	  "</td><td style=\"font-size:11px;color:#a4a9ac;padding-bottom:2px;\" rowspan=\"2\"><span style=\"font-size:15px;padding-bottom:6px;\">/</span>Year</td><td style=\"font-size:11px;color:#a4a9ac;padding-top:5px;\">Target</td><td></td></tr>" + 
	  "<tr style=\"height:10px;\"><td style=\"font-size:13px;\">" + getObjectValue(measureData, "yeartarget") + "</td><td></td></tr></tbody>";
  }
  
  function getObjectValue(obj, val) {
    if (obj[val] == null) return "";
	return obj[val];
  }
  
  function activateNodeBySymbol(symbol) {
    var rootChildren = $("#diagramhierarchy").dynatree("getRoot").getChildren();
	for (var i = 0; i < rootChildren.length; i++) {
	  activateNodeTraverseBySymbol(rootChildren[i], symbol);
	}
  }

  function activateNodeById(elementId) {
    if (diagramId.substring(diagramId.lastIndexOf(".") + 1)  == elementId) return;
    var rootChildren = $("#diagramhierarchy").dynatree("getRoot").getChildren();
	if (elementId == 0) {
	  rootChildren[0].deactivate();
	  rootChildren[0].activate();
	  return;
	}
	for (var i = 0; i < rootChildren.length; i++) {
	  activateNodeTraverseById(rootChildren[i], elementId);
	}
  }
  
  function activateNodeTraverseBySymbol(node, symbol) {
    if (node.data.elementSymbol == symbol) {
	  node.deactivate();
	  node.activate();
	  return;
	}
	var rootChildren = node.getChildren();
	for (var i = 0; rootChildren != null && i < rootChildren.length; i++) {
	  activateNodeTraverseBySymbol(rootChildren[i], symbol);
	}
  }

  function activateNodeTraverseById(node, elementId) {
    if (node.data.key.substring(node.data.key.lastIndexOf(".") + 1) == elementId) {
	  node.deactivate();
	  node.activate();
	  return;
	}
	var rootChildren = node.getChildren();
	for (var i = 0; rootChildren != null && i < rootChildren.length; i++) {
	  activateNodeTraverseById(rootChildren[i], elementId);
	}
  }
  
  function menuItemClicked(item) {
    $("#mainoverlay").overlay().close();
    $("#processesoverlay").overlay().close();
	activeMenu = $(item.target).attr("id");
	setActiveMenu();
	if (activeMenu == "processes" && $("#diagramhierarchy").children().size() == 0) {
	  buildDiagramHierarchy();
	} else if (activeMenu == "measures" ) {
	  location.assign(MEASURES_LINK);
	}
  }
  
  function searchClicked() {
    if ($.trim($("#searchbox").val()) != "") {
	  window.open(sGetBaseURL("QPRPORTAL", "prsev") + "&PGPLUGIN=1&SCPLUGIN=1&QPRPORTAL=1&TXT=" + sEncodeURI($("#searchbox").val()));
	}
  }
  
  function searchEnterPress(e) {
    if (e.keyCode == 13) {
      searchClicked();
    }
  }
  
  function openFullscreenView() {
    embeddedchart.oGetDetailsPane().OpenFullScreenFlowchart();
  }

  function printFlowchart() {
    embeddedchart.oGetDetailsPane().openFlowchartAsImage();
  }

  function togglePowerPointExportIframe() {
    if (powerpointExportVisible) {
	  hidePowerPointExportIframe();
	} else {
	  embeddedchart.oGetDetailsPane().OfficeExport();
	}
  }
  
  function showOrRefreshPowerPointExportIframe(content) {
    powerpointExportVisible = true;
    $("#powerpointexportplaceholder").empty();
    $("#powerpointexportplaceholder").show();
    $("#powerpointexportplaceholder").append(content);
	$("#powerpointexportplaceholder > iframe").width(180);
	$("#powerpointexportplaceholder > iframe").height(DIAGRAM_HEIGHT + 2);
	windowResized();
  }
  
  function hidePowerPointExportIframe() {
	powerpointExportVisible = false;
	$("#powerpointexportplaceholder").hide();
	windowResized();
  }
  
  function getEmbeddedInformationViewFrame() {
    return document.getElementById("diagramchart").contentWindow.document.getElementById("DetailsViewFrame").contentWindow;
  }
  
  function informationViewLoaded() {
  	if (powerpointExportVisible) { //refresh powerpoint
	  OfficeExportView.InitializeOfficeExport();
	}
  }
  
  function setActiveMenu() {
    $(".activemenuitem").addClass("deactivemenuitem");
    $(".activemenuitem").removeClass("activemenuitem");
	$("#" + activeMenu).removeClass("deactivemenuitem");
	$("#" + activeMenu).addClass("activemenuitem");
	$("body > div").not("#headerview").not("#" + activeMenu + "view").hide();
	$("#" + activeMenu + "view").show();
	windowResized();
  }
  
  function windowResized() {
    var contentWidth = $(window).width();
	if (contentWidth > MAX_WIDTH) contentWidth = MAX_WIDTH;
    $("body").width(contentWidth - 14);
	var bodyMargin = ($(window).width() - ($("body").width() + 14)) / 2;
	if (bodyMargin < 0) bodyMargin = 0;
    $("body").css("margin-left", bodyMargin + "px");
	var powerpointRequiredWidth = (powerpointExportVisible?180:0);
	$("#diagramchart").width($("#processesview").width() - $("#diagramhierarchy").parent().width() - 15 - powerpointRequiredWidth);
  }
  
  function sortTreeItems(a, b) {
    var a_name = a.data.diagramName.toLowerCase();
    var b_name = b.data.diagramName.toLowerCase();
    return a_name > b_name ? 1 : a_name < b_name ? -1 : 0;
  }
  
  function handleError(result) {
    var errorMessage = "";
	if (result != null && typeof(result.get_message) != "undefined") { 
	  errorMessage = result.get_message();
	}
    alert("Error occured. Please try run the report again. \n\Error message:\n" + errorMessage);
  }
 
  function removeArrayDuplicates(a) {
    b = {};
    for (var i = 0; i < a.length; i++) {
      b[a[i]] = a[i];
    }
    c = [];
    for (var key in b) {
      c.push(key);
    }
	return c;
  }
  
</script>

</head>

<body onload="initializeWindow();" onresize="windowResized();">

<div id="headerview">
<table id="headertable" class="invisibletable">
<tr>
<td rowspan="2" class="menucell iconimage"><img src="<#PortalImageFileLocation>header_logo_rtl.gif" /></td>
<td colspan="8" style="vertical-align:top;font-size: 23px;">Measurements and Processes</td>
</tr>
<tr>
<td class="menuitem deactivemenuitem" id="main">Main&nbsp;Page</td>
<td class="menucell" style="min-width:20px;"></td>
<td class="menuitem deactivemenuitem" id="processes">Processes</td>
<td class="menucell" style="width:99%"></td>
<td class="menucell" id="searchitem" style="min-width:220px;"><div style="margin-right:5px;display:inline;">Search</div><input id="searchbox" style="width:120px;" type="text" /><img id="searchbutton" src="<#PortalImageFileLocation>magnifier.png" /></td>

</tr>
</table>

</div>

<div id="mainview">
<div id="mainpagemeasures" style="margin-left:auto;margin-right:auto;"></div>
<div class="overlay" id="mainoverlay"></div>

<table style="width:100%;border-bottom:1px solid #949494;margin-top:20px;"><tr><td style="width:70px;">Processes</td><td style="padding-bottom:6px;"><div style="width:100px;" class="headerlevel0">(Process Map)</div></td></tr></table>

<table style="margin-left:auto;margin-right:auto;"><tr>
<td style="vertical-align:top;">

<div class="divlevel1">
 <div class="headerlevel1">MARKETING &amp SALES</div>
 <div class="divlevel2">
  <div class="headerlevel2">M1. Marketing</div>
  <div class="headerlevel3">M1.1 Marketing</div>
 </div>
 <div class="divlevel2">
  <div class="headerlevel2">S1. Sales</div>
  <div class="headerlevel3">S1.1 Sales</div>
 </div>
 <div class="divlevel2">
  <div class="headerlevel2">SP2. Sales Process</div>
  <div class="headerlevel3">SP2.1 Sales Process</div>
  <div class="headerlevel3">SP2.2 Call the Customer</div>
  <div class="headerlevel3">SP2.3 Prepare an Offer</div>
  <div class="headerlevel3">SP2.4 Visit the Customer</div>
 </div>
</div>
</td>

<td style="min-width:10px;"></td>

<td style="vertical-align:top;">
<div class="divlevel1">
 <div class="headerlevel1">RESEARCH &amp DEVELOPMENT</div>
 <div class="divlevel2">
  <div class="headerlevel2">RD1. Research</div>
  <div class="headerlevel3">RD1.1 Planning</div>
  <div class="headerlevel3">RD1.2 Customer Feedback Handling</div>
 </div>
 <div class="divlevel2">
  <div class="headerlevel2">D2. Development</div> 
  <div class="headerlevel3">D2.1 Developing a New Product;</div>
  <div class="headerlevel3">D2.2 Incremental Development Process</div>
  <div class="headerlevel3">D2.3 Release Process</div>
  <div class="headerlevel3">D2.4 Developing an Existing Product</div>
  <div class="headerlevel3">D2.5 Research Project</div>
 </div>
</td>

<td style="min-width:10px;"></td>
<td style="vertical-align:top;">
<div class="divlevel1">
 <div class="headerlevel1">CUSTOMER CARE SERVICE</div>
 <div class="divlevel2">
  <div class="headerlevel2">CCS. Customer Care Service</div>
  <div class="headerlevel3">CCS1 Customer Care Service</div>
  <div class="headerlevel3">CCS2 Customer Identification</div>
 </div>
 <div class="headerlevel1">COMMUNICATION</div>
 <div class="divlevel2">
  <div class="headerlevel2">C1. Communication</div>
  <div class="headerlevel3">C1.1 Communication</div>
 </div>
 <div class="divlevel1">
 <div class="headerlevel1">FINANCIAL MANAGEMENT</div>
 <div class="divlevel2">
  <div class="headerlevel2">F1. Financial Management</div>
  <div class="headerlevel3">F1.1 Accounts Payable</div>
 </div>
</div>
</td>
</tr></table>
</div>

<div id="processesview" style="display:none;">
<table style="width:100%;" class="invisibletable">
<tr>
<td id="diagramhierarchytd">
  <div id="diagramhierarchy"></div>
</td>
<td style="vertical-align:top;">
<div style="margin:7px 5px 13px 0px;">
  <div id="diagramname" style="font-size:18px;display:inline;"></div>
  <img id="quickfullscreenbutton" src="<#ImageFileLocation>button_fullscreen.png" alt="Full Screen" onclick="javascript: openFullscreenView();" />
  <ul class="sf-menu" id="toolsdropdownmenu">
    <li>
      <a>Tools</a>
      <ul>
        <li id="fullscreenbutton" style="background-image:url('<#ImageFileLocation>button_fullscreen.png');background-position:1px 1px;background-repeat:no-repeat;"><a>Full Screen</a></li>
        <li id="printbutton" style="background-image:url('<#ImageFileLocation>icon_print.png');background-position:5px center;background-repeat:no-repeat;"><a>Print</a></li>
		<li id="powerpointexportbutton" style="background-image:url('<#ImageFileLocation>icon_office.png');background-position:5px center;background-repeat:no-repeat;"><a>Powerpoint</a></li>
      </ul>
    </li>
  </ul>
</div>

  <iframe marginheight="0" frameborder="0" scrolling="no" id="diagramchart" name="embeddedchart"></iframe>
  <div id="powerpointexportplaceholder"></div>
  <div id="processmeasuresheader" style="margin-top:17px;">Prosessimittarit</div>
  <div id="processmeasures"></div>
  <div class="overlay" id="processesoverlay"></div>
  <div style="margin-top:17px;">Information</div>
  <table id="propertiestable"></table>
  </td>
</tr>
</table>
</div>

<div id="measuresview" style="display:none;">

</div>

</body>
</html>
<!-- [QPRTemplateEnd: lightweightportal.tpl] -->